Skip to content

List accommodation reviews

Request

Returns reviews for specified hotel_ids and filters. Available filters are country, language of the review, lower and upper bound of the review score, and timestamp of the last change to the review. The 'last_change' output field will only be displayed if the last_change=... input parameter is set.

Security
BearerAuth
Query
reviewsInputDtoobject(ReviewsInputDto)required
GET
/demand-api-v2-compatible/reviews
curl -i -X GET \
  'https://metasearch-connect-api.booking.com/demand-api-v2-compatible/reviews?reviewsInputDto=hotel_ids%3D0%26language%3Dar%26country%3Dnl%26offset%3D0%26rows%3D10%26last_change%3D2025-11-20%2014%3A05%3A30%26score_lower_bound%3D1%26score_upper_bound%3D1%26extras%3DREVIEW_SCORE_WORD' \
  -H 'Authorization: Bearer <YOUR_string_HERE>'

Responses

OK

Body
metaobject(Meta)
resultArray of objects(ReviewOutputDto)
Response
{ "meta": { "ruid": "string" }, "result": [ {} ] }